--- old/usr/src/cmd/make/bin/main.cc	2015-05-20 12:22:44.884334976 -0400
+++ new/usr/src/cmd/make/bin/main.cc	2015-05-20 12:22:44.899300494 -0400
@@ -62,9 +62,7 @@
 // From parallel.cc
 #define MAXJOBS_ADJUST_RFE4694000
 
-#ifdef MAXJOBS_ADJUST_RFE4694000
 extern void job_adjust_fini();
-#endif /* MAXJOBS_ADJUST_RFE4694000 */
 
 
 /*
@@ -715,9 +713,7 @@
 	/* Write .make.state */
 	write_state_file(1, (Boolean) 1);
 
-#if defined (TEAMWARE_MAKE_CMN) && defined (MAXJOBS_ADJUST_RFE4694000)
 	job_adjust_fini();
-#endif
 }
 
 /*
@@ -1164,12 +1160,14 @@
 			/* New MAKEFLAGS format */
 
 			add_hyphen = false;
-#ifdef ADDFIX5060758			
+
 			/* Check if MAKEFLAGS value begins with multiple
 			 * hyphen characters, and remove all duplicates.
 			 * Usually it happens when the next command is
 			 * used: $(MAKE) -$(MAKEFLAGS)
-			 * This is a workaround for BugID 5060758.
+			 * 
+			 * This was a workaround for BugID 5060758, but
+			 * appears to have survived as a fix in make.
 			 */
 			while (*cp) {
 				if (*cp != (int) hyphen_char) {
@@ -1187,7 +1185,6 @@
 					break;
 				}
 			}
-#endif
 		} else {
 
 			/* Old MAKEFLAGS format */
--- old/usr/src/cmd/make/bin/misc.cc	2015-05-20 12:22:45.616248345 -0400
+++ new/usr/src/cmd/make/bin/misc.cc	2015-05-20 12:22:45.628190848 -0400
@@ -47,13 +47,7 @@
 #include <vroot/report.h>	/* SUNPRO_DEPENDENCIES */
 #include <libintl.h>
 
-
-#define MAXJOBS_ADJUST_RFE4694000
-
-#ifdef MAXJOBS_ADJUST_RFE4694000
 extern void job_adjust_fini();
-#endif /* MAXJOBS_ADJUST_RFE4694000 */
-
 
 /*
  * Defined macros
@@ -173,9 +167,7 @@
 		finish_children(false);
 	}
 
-#if defined (TEAMWARE_MAKE_CMN) && defined (MAXJOBS_ADJUST_RFE4694000)
 	job_adjust_fini();
-#endif
 
 	exit_status = 1;
 	exit(1);
--- old/usr/src/cmd/make/bin/parallel.cc	2015-05-20 12:22:46.122349877 -0400
+++ new/usr/src/cmd/make/bin/parallel.cc	2015-05-20 12:22:46.134677063 -0400
@@ -247,9 +247,6 @@
 }
 
 
-#define MAXJOBS_ADJUST_RFE4694000
-
-#ifdef MAXJOBS_ADJUST_RFE4694000
 
 #include <unistd.h>	/* sysconf(_SC_NPROCESSORS_ONLN) */
 #include <sys/ipc.h>		/* ftok() */
@@ -535,7 +532,6 @@
 	}
 }
 
-#endif /* MAXJOBS_ADJUST_RFE4694000 */
 
 /*
  *	distribute_process(char **commands, Property line)
@@ -548,9 +544,7 @@
  *
  *	Static variables used:
  *		process_running	Set to the pid of the process set running
- * #if defined (TEAMWARE_MAKE_CMN) && defined (MAXJOBS_ADJUST_RFE4694000)
  *		job_adjust_mode	Current job adjust mode
- * #endif
  */
 static Doname
 distribute_process(char **commands, Property line)
@@ -563,12 +557,6 @@
 	int		tmp_index;
 	char		*tmp_index_str_ptr;
 
-#if !defined (TEAMWARE_MAKE_CMN) || !defined (MAXJOBS_ADJUST_RFE4694000)
-	while (parallel_process_cnt >= pmake_max_jobs) {
-		await_parallel(false);
-		finish_children(true);
-	}
-#else /* TEAMWARE_MAKE_CMN && MAXJOBS_ADJUST_RFE4694000 */
 	/* initialize adjust mode, if not initialized */
 	if (job_adjust_mode == ADJUST_UNKNOWN) {
 		job_adjust_init();
@@ -612,7 +600,7 @@
 			finish_children(true);
 		}
 	}
-#endif /* TEAMWARE_MAKE_CMN && MAXJOBS_ADJUST_RFE4694000 */
+
 	setvar_envvar();
 	/*
 	 * Tell the user what DMake is doing.
@@ -1152,13 +1140,11 @@
 		nohang = true;
 		parallel_process_cnt--;
 
-#if defined (TEAMWARE_MAKE_CMN) && defined (MAXJOBS_ADJUST_RFE4694000)
 		if (job_adjust_mode == ADJUST_M2) {
 			if (m2_release_job()) {
 				job_adjust_error();
 			}
 		}
-#endif
 	}
 }
 
